#ifndef GERMANAIRLINESVA_GACONNECTOR_XPLUGIN_MAIN_H
#define GERMANAIRLINESVA_GACONNECTOR_XPLUGIN_MAIN_H

#include "config.hpp"
#include "pathRecording.h"
#include "simdata.h"
#include "simulatorDatabase.hpp"
#include "websocket.h"

#include "XPLM/XPLMDataAccess.h"
#include "XPLM/XPLMGraphics.h"
#include "XPLM/XPLMPlanes.h"
#include "XPLM/XPLMPlugin.h"
#include "XPLM/XPLMProcessing.h"
#include "XPLM/XPLMUtilities.h"

#include <atomic>
#include <chrono>
#include <cstdint>
#include <ctime>
#include <iomanip>
#include <mutex>
#include <queue>
#include <sstream>
#include <thread>

float flightLoop(float elapsedMe, float elapsedSim, int counter, void *refcon);
void serverWorker();
void recordingWorker();
void toLog(const std::string &message);

#endif
